/*
 * Tirititran es un juego de naves en 2D ambientado en Cádiz
 * Copyright (C) 2004  Javier Pérez Pacheco
 *
 * Este juego tienen licencia Creative Commons y se permite
 * su modificacion y utilizacion libremente siempre y cuando se
 * cite al autor original y se comparta con la misma licencia.
 * No se permite su uso comercial.
 * 
 * Para mas informacion visite la web:
 * http://creativecommons.org/licenses/by-nc-sa/2.0/es/
 *
 * PROGRAMADOR
 * Javier Pérez Pacheco
 * Cadiz (Spain)
 * javi.pacheco@terra.es
 *
 * GRAFISMO Y 3D
 * Jesus Carrasco
 * Cadiz (Spain)
 * carrasco.carrasco@gmail.com
 *
 * MUSICA Y GRAFISMO
 * Shano Lores
 * Cadiz (Spain)
 * shano@mail.ono.es
 *
 */

#ifndef CONFIGURACION_H_
#define CONFIGURACION_H_

#include <SDL.h>
#include "defines.h"
#include <stdio.h>
#include <string.h>
#include <stdlib.h>


class Configuracion {

private:
  char *directorio, arch_puntuacion[127], arch_opciones[127];
  int punt_puntos[5];
  char punt_nombres[5][30];
  int puntuacionMenor; // contiene la puntuacion mas baja en el juego
  int vol_musica; // 0 - Sin sonido -> 1 - Bajo -> 2- Medio -> 3 Alto
  int vol_sonido; // 0 - Sin sonido -> 1 - Bajo -> 2- Medio -> 3 Alto
  int aceleracionHardware; // usar aceleracion por hardware o por software
  int vel_juego; // 0 - Lento -> 1- Medio -> 2- Rapido
  int fullscreen; // usar siempre fullscreen
  int bpp; // 16 - 24 - 32
  
public:
	Configuracion();
	char* getDirectorio() { return directorio; };
	void configurar();
	void opcionesPorDefecto();
	void puntuacionesPorDefecto();
	void actualizarOpcion(char clave[63], int valor);
	void actualizarPuntuacion(char clave[63], int valor, int cont);
	void cargarOpciones();
	void cargarPuntuaciones();
	void guardarOpciones();
	void guardarPuntuacion(char nombre[15], int puntos);
	int getOpcion(char clave[63]);
	char* getPuntuacionNombre(int n) { return punt_nombres[n]; };
	int getPuntuacionPuntos(int n) { return punt_puntos[n]; };
	void ordenarPuntuaciones();
	int getPuntuacionMenor() { return puntuacionMenor; }
};



#endif /* CONFIGURACION_H_ */
